|  | Home | Documentation | soap_dime Struct Reference updated by Robert van Engelen |

soap_dime Struct Reference
DIME attachment functions

Stores a linked list of DIME attachments received. More...

`#include <stdsoap2.h>`

## Public Member Functions

soap_multipart::iterator | begin ()
| C++ only: an iterator over soap_multipart attachments.
soap_multipart::iterator | end ()
| C++ only: an iterator over soap_multipart attachments.

## Public Attributes

struct soap_multipart * | list
| list of DIME attachments received

## Detailed Description

Stores a linked list of DIME attachments received.

This structure's soap_mime::list member points to a linked list of DIME attachments received. Other data in this structure (not shown) is used to manage the state of the engine's DIME processing. The begin and end member functions return an iterator to iterate over attachments in C++.

## Member Function Documentation

## ◆ begin()

soap_multipart::iterator soap_dime::begin | ( |  | ) |

C++ only: an iterator over soap_multipart attachments.

## ◆ end()

soap_multipart::iterator soap_dime::end | ( |  | ) |

C++ only: an iterator over soap_multipart attachments.

## Member Data Documentation

## ◆ list

struct soap_multipart* soap_dime::list

list of DIME attachments received